{ pkgs, ... }:
{
  # TODO Separate in diffrent packages once the structure is finalized...
  # or connvert into per-directory requirements
  users.users.geoffrey. packages = with pkgs; [
    # Ansible
    ansible
    ansible-lint
    ansible-language-server

    # C/C++
    cmake
    clang
    ccache
    gdb

    # Common
    perf-tools
    git
    jq
    universal-ctags
    highlight
    ripgrep # For nvim's :Telescope live_grep
    zeal-qt6 # Offline documentation

    # Docker
    docker
    docker-compose

    # FPGA
    yosys
    verilog
    ghdl
    gtkwave # TODO Display server only

    # Network
    socat
    dig
    whois
    nmap
    tcpdump
    wireshark-qt # TODO Display server only

    # nix
    nix
    rnix-lsp

    # Perl
    perl536Packages.PLS

    # Python
    mypy
    python3Packages.black
    python3Packages.python-lsp-server
    python3Packages.pylsp-mypy
    python3Packages.pyls-isort
    python3Packages.python-lsp-black
    # TODO Are all those for the same language server?
    python3Packages.ipython

    # Bash
    nodePackages.bash-language-server
    sqls
  ];

}
